> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rockapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit image (qwen-image-edit)

> High-quality image generation using Alibaba Bailian Qwen-Image models. Supports advanced prompt engineering and specific style controls for professional visual content.




## OpenAPI

````yaml /ru/api-reference/openapi.json post /v1/images/edits
openapi: 3.0.1
info:
  title: Rock API API моделей ИИ
  version: 1.0.0
  description: Справочник OpenAI-совместимого API моделей ИИ для Rock API.
servers:
  - url: https://rockapi.ai
security:
  - BearerAuth: []
tags:
  - name: List models
  - name: OpenAI format (Chat)
  - name: OpenAI format (Responses)
  - name: Image generation
  - name: Image generation/OpenAI-compatible format
  - name: Image generation/Qwen
  - name: Video generation
  - name: Video generation/Sora-compatible format
  - name: Video generation/Kling format
  - name: Video generation/Jimeng format
  - name: Claude format (Messages)
  - name: Gemini format
  - name: OpenAI format (Embeddings)
  - name: Text completions
  - name: OpenAI audio
  - name: Rerank
  - name: Moderations
  - name: Realtime
  - name: Not implemented
  - name: Not implemented/Fine-tunes
  - name: Not implemented/Files
paths:
  /v1/images/edits:
    post:
      tags:
        - Image generation/Qwen
      summary: Edit image (qwen-image-edit)
      description: >
        High-quality image generation using Alibaba Bailian Qwen-Image models.
        Supports advanced prompt engineering and specific style controls for
        professional visual content.
      operationId: createImage
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                model:
                  type: string
                input:
                  type: object
                  properties:
                    messages:
                      type: array
                      items:
                        type: object
                        properties:
                          role:
                            type: string
                          content:
                            type: array
                            items:
                              type: object
                              properties:
                                image:
                                  type: string
                                text:
                                  type: string
                  required:
                    - messages
                parameters:
                  type: object
                  properties:
                    'n':
                      type: integer
                    negative_prompt:
                      type: string
                    prompt_extend:
                      type: boolean
                    watermark:
                      type: boolean
                    size:
                      type: string
              required:
                - model
                - input
            example: |-
              {
                  "model": "qwen-image-edit-plus",
                  "input": {
                      "messages": [
                          {
                              "role": "user",
                              "content": [
                                  {
                                      "image": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250925/fpakfo/image36.webp"
                                  },
                                  {
                                      "text": "Generate an image that matches the depth map and follows this description: an old red bicycle parked on a muddy path with a dense primeval forest in the background"
                                  }
                              ]
                          }
                      ]
                  },
                  "parameters": {
                      "n": 2,
                      "negative_prompt": " ",
                      "prompt_extend": true,
                      "watermark": false
                  }
      responses:
        '200':
          description: Image generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ImageResponse:
      type: object
      properties:
        created:
          type: integer
        data:
          type: array
          items:
            type: object
            properties:
              url:
                type: string
              b64_json:
                type: string
              revised_prompt:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authenticate with a Bearer Token.
        Format: `Authorization: Bearer sk-xxxxxx`

````